/*
 *  RENODeskStyle (C) 2002 Reinout Mechant  <reno@renoproductions.com>
 *
 *  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the Q Public License and the BSD license.
 *
 *  This library is free software; you should have received a copy of the
 *  Q Public License and of the BSD License along with this library;
 *  see the files COPYING.QPL and COPYING.BSD.
 *
 */

 
#ifndef __KCM_RENODeskTrans_H
#define __KCM_RENODeskTrans_H

#include <kcmodule.h>
#include <kstddirs.h>
#include <kcolorbutton.h>
#include <qpushbutton.h>

class QSlider;
class QGroupBox;
class QVButtonGroup;
class KColorButton;

#define MENU_CONFIG_CHANGED 667

class RENODeskTransConfig : public KCModule
{
	Q_OBJECT

public:
	enum Buttons{None=0, Custom};
	RENODeskTransConfig
		(
			QWidget *parent=0,
			const char *name=0
		);
	~RENODeskTransConfig();
	void save();
	void load();
	void defaults();

protected slots:
	void slotBtnTransparencyGroupClicked(int id);
	void slotBtnMenuColorGroupClicked(int id);

protected:
	QSlider *opacitySlider;
	QGroupBox *customTransparencyGroup, *customMenuColorGroup;
	QVButtonGroup *btnTransparencyGroup, *btnMenuColorGroup;
	KColorButton *menucolorBtn;

};

#endif
